Bug 1699692 - apache-commons-lang3-3.11 is available
Summary: apache-commons-lang3-3.11 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-commons-lang3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1865869
TreeView+ depends on / blocked
 
Reported: 2019-04-15 01:01 UTC by Upstream Release Monitoring
Modified: 2020-08-18 08:54 UTC (History)
4 users (show)

Fixed In Version: apache-commons-lang3-3.11-1.fc34 apache-commons-lang3-3.11-1.fc33 apache-commons-lang3-3.11-1.eln103
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-18 08:41:58 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-04-15 01:01:13 UTC
Latest upstream release: 3.9
Current version/release in rawhide: 3.8.1-3.fc30
URL: http://archive.apache.org/dist/commons/lang/source/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/76/

Comment 1 Upstream Release Monitoring 2020-03-28 01:19:50 UTC
Latest upstream release: 3.10
Current version/release in rawhide: 3.8.1-5.fc32
URL: http://archive.apache.org/dist/commons/lang/source/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/76/

Comment 2 Upstream Release Monitoring 2020-07-17 01:28:43 UTC
Latest upstream release: 3.11
Current version/release in rawhide: 3.8.1-5.fc32
URL: http://archive.apache.org/dist/commons/lang/source/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/76/

Comment 3 Fabio Valentini 2020-08-12 10:09:54 UTC
It'd be great if we could have 3.11 in fedora 33+.
It looks like I need it for packaging apache-commons-text and updating maven-shared-utils.

If you don't have time to work on this, please consider adding this package to the set that's maintained by the new Java SIG, and/or joining the SIG yourself :)

Comment 4 Fabio Valentini 2020-08-12 10:13:27 UTC
PS: Can confirm, the API those packages need has only been made public with commons-lang3 3.11:
https://github.com/apache/commons-lang/commit/1621a23d2bd99df845abae0beea0add84135a49d

Comment 5 Fedora Update System 2020-08-18 08:41:58 UTC
FEDORA-2020-1536af67c7 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-08-18 08:44:56 UTC
FEDORA-2020-a947bc11ae has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-08-18 08:54:00 UTC
FEDORA-2020-9b3337b7f3 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.